LINUX.ORG.RU

Microsoft анонсировала официальный ODBC-драйвер для Linux

 , , ,


0

1

Драйвер создан путем портирования для Linux оригинального ODBC-драйвера для Windows, известного под именем SQL Server Native Client (SNAC). Тестовая версия пакета доступна в 64-разрядной сборке для платформы Red Hat Enterprise Linux 5 и поддерживает работу с MS SQL Server 2008 R2 и MS SQL Server 2012. В дальнейшем будет подготовлена 32-разрядная версия, пакет для Red Hat Enterprise Linux 6 и версия с поддержкой технологии обеспечения отказоустойчивости AlwaysOn.

Из расширенных возможностей драйвера отмечается поддержка протокола аутентификации Kerberos, SSL и UTF-8 на стороне клиента. Кроме драйвера в состав пакета также входит программа для импорта и экспорта BCP (Bulk Copy Program) и утилита SQLCMD. Выпуск официального ODBC-драйвера позволяет в разработках MS SQL Server на языках Си и Си++, работающих на платформе Linux, использовать официально поддерживаемое решение от Microsoft.

Скачать

>>> Подробности

★★★★★

Проверено: Shaman007 ()

Троянов случайно нету там?

Ttt ☆☆☆☆☆ ()

Эх, видать надо апгрейдить комп. Приехали: сначала выпущена 64х-разрядная версия и лишь планируется 32-х разрядная.

HerrWeigel ★★★★ ()
Ответ на: комментарий от anonymous_incognito

Там был лишь анонс и планы на будущее, сейчас же состоялся типа релиз и можно скачать

daemonpnz ★★★★★ ()

перепиши новость так, чтобы по ней было видно, что предварительный релиз выпущен, а то пока это из текста не понятно :)

DoctorSinus ★★★★★ ()
Ответ на: комментарий от Thero

Кто все? Разработчики свободного ПО, например, когда есть возможность не пишут под архитектуру, они пишут переносимый код.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от Ttt

буква ё! а вообще ты и сам знаешь что я хотел сказать, просто перестань угадывать.

Thero ★★★★★ ()

когда они уже MS Office портируют и свой оффтопик закопают???

anonymous ()

интерессно поможет ли это мигрировать 1-эсникам у которых БД на MSSQL на открытое решение?

splinter ★★★★★ ()

Тестовая версия пакета доступна в 64-разрядной сборке для платформы Red Hat Enterprise Linux 5

гамно мамонта же....

В заголовке что ли исправьте «для Linux» на для «RHEL-5», это не совсем тоже самое...

под бубунтой лоровцы не смогут скомпилить, я чувствую... библиотеки слишком новых версий будут. а там под старые наверное заточено.

BattleCoder ★★★★★ ()
Ответ на: комментарий от anonymous

подходил к коцу 2011, а Ъ продолжали юзать 32х-битный софт на серверах…

уже нельзя? Что же я натворил, кошмар! Я на прошлой недели поднял 32-битный sl6.1, так как не нашел достойного приложения для 64-бит.

fi ★★★ ()
Ответ на: комментарий от splinter

splinter

интерессно поможет ли это мигрировать 1-эсникам у которых БД на MSSQL на открытое решение?

Так в восьмой 1с же и так вроде уже есть серверная часть под линукс. И постгрес в качестве СУБД. И оракл вроде ещё.

bloodredfrog ★★ ()
Ответ на: комментарий от Anonymous

Например: 1с версии 7.7 и MSSQL, необходимо мигрировать на 8.1 Postgresql, облегчит ли это перенести данные из MSSQL в Postgresql?

splinter ★★★★★ ()
Ответ на: комментарий от splinter

нет, используемая СУБД процессу переноса 7.7 -> 8.X ортогональна

anon1984 ()
Ответ на: комментарий от AiFiLTr0

тем самым он прокачался до статуса «Пророк» :-)

splinter ★★★★★ ()

и поддерживает работу с MS SQL Server 2008 R2 и MS SQL Server 2012

Старые версии хотелось бы. Если будут, то нужно, очень нужно.

anonymous ()
Ответ на: комментарий от I-Love-Microsoft

Были слухи, а теперь оф. анонс.

anonymous ()
Ответ на: комментарий от AiFiLTr0

А это не первая ласточка. MS уже что-то пилили под линукс. Гостевые дополнения для поддержки линуксов в Hyper-V как минимум.

thesis ★★★★★ ()
Ответ на: комментарий от Deleted

И это если не учитывать, что коммиты MS есть во многих продуктах (могу вспомнить samba, mono, joomla, wordpress).

Deleted ()

Нафиг оно нужно если они не удосужились к Access-вским базам драйверок подогнать? А это важнее чем всякие там разные MSSQL-и.

FeyFre ★★★★ ()
Ответ на: комментарий от tailgunner

Закрытое говно от MS в моем Линуксе? Не нужно.

Если волнует «закрытое», то в твоем «ГНУ/Линуксе», так?

ttnl ★★★★★ ()

MSSQLSERVER конечно не нужен, но наличие сабжа лучше, чем его отсутствие

Harald ★★★★★ ()
Ответ на: комментарий от AiFiLTr0

А поддержка Hyper-V в ядре сама по себе пишется значит, ок.

tensai_cirno ★★★★★ ()

акция проходит в рамках рекламной компании шиндовс 2012 server edition?

anonymous_sapiens ★★★★ ()
Ответ на: комментарий от ttnl

Закрытое говно от MS в моем Линуксе? Не нужно.

Если волнует «закрытое», то в твоем «ГНУ/Линуксе», так?

Нет.

tailgunner ★★★★★ ()

Тестовая версия пакета доступна в 64-разрядной сборке для платформы Red Hat Enterprise Linux 5

src.rpm дают ? Или «есть только один дистрибутив» ?

AS ★★★★★ ()
Ответ на: комментарий от AS

Ой. Там и пакет - не пакет вовсе. rpm не осилили.

AS ★★★★★ ()
Ответ на: комментарий от sdio

:) Точно. Вот только я слабо себе представляю, что кто-то его будет в Туксо-сообществе использовать. Разве что в структуре предприятия необходимость использования MS SQL Server будетобусловлена производственными требованиями. Но такое, думаю, случается, только если параллельно используется WindowZ.

ValPaliy ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.